;=========================================================================
(defun c:rystyppzt ()
(if (mh:qawa)
	(progn

		(mh:pliki2 (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\PZT\\") "Elementy zagospodarowania terenu.")

	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:pzttraprosiec ( / punktstart )
(if (mh:qawa)
(progn

;(mh:ustzap)
(mh:stworzwarstwyzudu)

(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(cond
		((= "IS_ZUD_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_siec"))
		((= "IS_ZUD_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_siec"))
		((= "IS_ZUD_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_siec"))
		((= "IS_ZUD_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_siec"))
		((= "IS_ZUD_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_siec"))
		((= "IS_ZUD_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_siec"))
		((= "IS_ZUD_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_siec"))
		((= "IS_ZUD_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_siec"))
		((= "IS_ZUD_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_siec"))
		((= "IS_ZUD_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_siec"))
		((= "IS_ZUD_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_siec"))
		((= "IS_ZUD_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_siec"))	
		((= "IS_ZUD_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_siec"))
		((= "IS_ZUD_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_siec"))
		((= "IS_ZUD_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_siec"))
		((= "IS_ZUD_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_siec"))
		((= "IS_ZUD_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_siec"))
		((= "IS_ZUD_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_siec"))
		
		((and	(/= (getvar "clayer") "IS_ZUD_woda_siec")
						(/= (getvar "clayer") "IS_ZUD_KS_siec")
						(/= (getvar "clayer") "IS_ZUD_KD_siec")
						(/= (getvar "clayer") "IS_ZUD_drenaz_siec")
						(/= (getvar "clayer") "IS_ZUD_gaz_siec")
						(/= (getvar "clayer") "IS_ZUD_cieplociag_siec")
						(/= (getvar "clayer") "IS_ZUD_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUD_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUD_trasa_niewykonana"))
	);cond
	(cond
		((= "IS_ZUDm_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_siec"))
		((= "IS_ZUDm_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_siec"))
		((= "IS_ZUDm_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_siec"))
		((= "IS_ZUDm_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_siec"))
		((= "IS_ZUDm_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_siec"))
		((= "IS_ZUDm_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_siec"))
		((= "IS_ZUDm_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_siec"))
		((= "IS_ZUDm_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_siec"))
		((= "IS_ZUDm_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_siec"))
		((= "IS_ZUDm_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_siec"))
		((= "IS_ZUDm_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_siec"))
		((= "IS_ZUDm_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_siec"))	
		((= "IS_ZUDm_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_siec"))
		((= "IS_ZUDm_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_siec"))
		((= "IS_ZUDm_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_siec"))
		((= "IS_ZUDm_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_siec"))
		((= "IS_ZUDm_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_siec"))
		((= "IS_ZUDm_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_siec"))
		((and	(/= (getvar "clayer") "IS_ZUDm_woda_siec")
						(/= (getvar "clayer") "IS_ZUDm_KS_siec")
						(/= (getvar "clayer") "IS_ZUDm_KD_siec")
						(/= (getvar "clayer") "IS_ZUDm_drenaz_siec")
						(/= (getvar "clayer") "IS_ZUDm_gaz_siec")
						(/= (getvar "clayer") "IS_ZUDm_cieplociag_siec")
						(/= (getvar "clayer") "IS_ZUDm_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUDm_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUDm_trasa_niewykonana"))
	);cond
);if



(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(progn
		(if (or
				(= "IS_ZUD_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUD_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "7" "7")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "20" "20")
			);progn
		);if
	);progn
	
	(progn
		(if (or
				(= "IS_ZUDm_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUDm_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "0.07" "0.07")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "0.2" "0.2")
			);progn
		);if
	);progn
);if

;(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:pzttraproprzylacze ( / punktstart )
(if (mh:qawa)
(progn

;(mh:ustzap)
(mh:stworzwarstwyzudu)

(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(cond
		((= "IS_ZUD_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_przylacze"))
		((= "IS_ZUD_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_przylacze"))
		((= "IS_ZUD_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_przylacze"))
		((= "IS_ZUD_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_przylacze"))
		((= "IS_ZUD_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_przylacze"))
		((= "IS_ZUD_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_przylacze"))
		((= "IS_ZUD_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_przylacze"))
		((= "IS_ZUD_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_przylacze"))
		((= "IS_ZUD_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_przylacze"))
		((= "IS_ZUD_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_przylacze"))
		((= "IS_ZUD_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_przylacze"))
		((= "IS_ZUD_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_przylacze"))
		((= "IS_ZUD_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_przylacze"))
		((= "IS_ZUD_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_przylacze"))
		((= "IS_ZUD_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_przylacze"))
		((= "IS_ZUD_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_przylacze"))
		((= "IS_ZUD_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_przylacze"))
		((= "IS_ZUD_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_przylacze"))
		((and	(/= (getvar "clayer") "IS_ZUD_woda_przylacze")
						(/= (getvar "clayer") "IS_ZUD_KS_przylacze")
						(/= (getvar "clayer") "IS_ZUD_KD_przylacze")
						(/= (getvar "clayer") "IS_ZUD_drenaz_przylacze")
						(/= (getvar "clayer") "IS_ZUD_gaz_przylacze")
						(/= (getvar "clayer") "IS_ZUD_cieplociag_przylacze")
						(/= (getvar "clayer") "IS_ZUD_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUD_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUD_trasa_niewykonana"))
	);cond
	(cond
		((= "IS_ZUDm_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_przylacze"))
		((= "IS_ZUDm_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_przylacze"))
		((= "IS_ZUDm_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_przylacze"))
		((= "IS_ZUDm_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_przylacze"))
		((= "IS_ZUDm_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_przylacze"))
		((= "IS_ZUDm_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_przylacze"))
		((= "IS_ZUDm_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_przylacze"))
		((= "IS_ZUDm_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_przylacze"))
		((= "IS_ZUDm_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_przylacze"))
		((= "IS_ZUDm_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_przylacze"))
		((= "IS_ZUDm_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_przylacze"))
		((= "IS_ZUDm_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_przylacze"))
		((= "IS_ZUDm_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_przylacze"))
		((= "IS_ZUDm_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_przylacze"))
		((= "IS_ZUDm_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_przylacze"))
		((= "IS_ZUDm_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_przylacze"))
		((= "IS_ZUDm_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_przylacze"))
		((= "IS_ZUDm_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_przylacze"))
		((and	(/= (getvar "clayer") "IS_ZUDm_woda_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_KS_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_KD_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_drenaz_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_gaz_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_cieplociag_przylacze")
						(/= (getvar "clayer") "IS_ZUDm_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUDm_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUDm_trasa_niewykonana"))
	);cond
);if



(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(progn
		(if (or
				(= "IS_ZUD_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUD_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "7" "7")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "20" "20")
			);progn
		);if
	);progn
	
	(progn
		(if (or
				(= "IS_ZUDm_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUDm_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "0.07" "0.07")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "0.2" "0.2")
			);progn
		);if
	);progn
);if

;(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:pzttraproinstalacja ( / punktstart )
(if (mh:qawa)
(progn

;(mh:ustzap)
(mh:stworzwarstwyzudu)

(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(cond
		((= "IS_ZUD_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_instalacja"))
		((= "IS_ZUD_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_instalacja"))
		((= "IS_ZUD_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_instalacja"))
		((= "IS_ZUD_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_instalacja"))
		((= "IS_ZUD_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_instalacja"))
		((= "IS_ZUD_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_instalacja"))
		((= "IS_ZUD_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_instalacja"))
		((= "IS_ZUD_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_instalacja"))
		((= "IS_ZUD_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_instalacja"))
		((= "IS_ZUD_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_instalacja"))
		((= "IS_ZUD_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_instalacja"))
		((= "IS_ZUD_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_instalacja"))
		((= "IS_ZUD_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_instalacja"))
		((= "IS_ZUD_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_instalacja"))
		((= "IS_ZUD_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_instalacja"))
		((= "IS_ZUD_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_instalacja"))
		((= "IS_ZUD_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_instalacja"))
		((= "IS_ZUD_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_instalacja"))
		((and	(/= (getvar "clayer") "IS_ZUD_woda_instalacja")
						(/= (getvar "clayer") "IS_ZUD_KS_instalacja")
						(/= (getvar "clayer") "IS_ZUD_KD_instalacja")
						(/= (getvar "clayer") "IS_ZUD_drenaz_instalacja")
						(/= (getvar "clayer") "IS_ZUD_gaz_instalacja")
						(/= (getvar "clayer") "IS_ZUD_cieplociag_instalacja")
						(/= (getvar "clayer") "IS_ZUD_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUD_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUD_trasa_niewykonana"))
	);cond
	(cond
		((= "IS_ZUDm_woda_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_instalacja"))
		((= "IS_ZUDm_drenaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_instalacja"))
		((= "IS_ZUDm_KS_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_instalacja"))
		((= "IS_ZUDm_KD_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_instalacja"))
		((= "IS_ZUDm_gaz_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_instalacja"))
		((= "IS_ZUDm_cieplociag_istn" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_instalacja"))
		((= "IS_ZUDm_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_instalacja"))
		((= "IS_ZUDm_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_instalacja"))
		((= "IS_ZUDm_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_instalacja"))
		((= "IS_ZUDm_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_instalacja"))
		((= "IS_ZUDm_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_instalacja"))
		((= "IS_ZUDm_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_instalacja"))
		((= "IS_ZUDm_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_instalacja"))
		((= "IS_ZUDm_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_instalacja"))
		((= "IS_ZUDm_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_instalacja"))
		((= "IS_ZUDm_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_instalacja"))
		((= "IS_ZUDm_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_instalacja"))
		((= "IS_ZUDm_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_instalacja"))
		((and	(/= (getvar "clayer") "IS_ZUDm_woda_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_KS_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_KD_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_drenaz_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_gaz_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_cieplociag_instalacja")
						(/= (getvar "clayer") "IS_ZUDm_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUDm_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUDm_trasa_niewykonana"))
	);cond
);if



(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(progn
		(if (or
				(= "IS_ZUD_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUD_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "7" "7")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "20" "20")
			);progn
		);if
	);progn
	
	(progn
		(if (or
				(= "IS_ZUDm_trasa_niewykonana" (getvar "clayer"))
				(= "IS_ZUDm_trasa_do_likwidacji" (getvar "clayer"))
			)
			(progn
				(setq punktstart (getpoint "\nKliknij pocztek trasy niewykonanej ale po ZUD."))
				(command "_pline" punktstart "_w" "0.07" "0.07")
			);progn
			(progn		
				(setq punktstart (getpoint "\nKliknij pocztek trasy na ZUD."))
				(command "_pline" punktstart "_w" "0.2" "0.2")
			);progn
		);if
	);progn
);if

;(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:pzttraist ( / punktstart )
(if (mh:qawa)
(progn

;(mh:ustzap)
(mh:stworzwarstwyzudu)

(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(cond
		((= "IS_ZUD_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_istn"))
		((= "IS_ZUD_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_istn"))
		((= "IS_ZUD_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_istn"))
		((= "IS_ZUD_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_istn"))
		((= "IS_ZUD_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_istn"))
		((= "IS_ZUD_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_istn"))
		((= "IS_ZUD_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_istn"))
		((= "IS_ZUD_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_istn"))
		((= "IS_ZUD_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_istn"))
		((= "IS_ZUD_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_istn"))
		((= "IS_ZUD_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_istn"))
		((= "IS_ZUD_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_istn"))
		((= "IS_ZUD_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_woda_istn"))
		((= "IS_ZUD_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_drenaz_istn"))
		((= "IS_ZUD_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KS_istn"))
		((= "IS_ZUD_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_KD_istn"))
		((= "IS_ZUD_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_gaz_istn"))
		((= "IS_ZUD_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUD_cieplociag_istn"))
		((and	(/= (getvar "clayer") "IS_ZUD_woda_istn")
						(/= (getvar "clayer") "IS_ZUD_KS_istn")
						(/= (getvar "clayer") "IS_ZUD_KD_istn")
						(/= (getvar "clayer") "IS_ZUD_drenaz_istn")
						(/= (getvar "clayer") "IS_ZUD_gaz_istn")
						(/= (getvar "clayer") "IS_ZUD_cieplociag_istn")
						(/= (getvar "clayer") "IS_ZUD_trasa_niewykonana")
						(/= (getvar "clayer") "IS_ZUD_trasa_do_likwidacji"))
				(setvar "clayer" "IS_ZUD_KS_istn"))
	);cond
	(cond
		((= "IS_ZUDm_woda_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_istn"))
		((= "IS_ZUDm_drenaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_istn"))
		((= "IS_ZUDm_KS_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_istn"))
		((= "IS_ZUDm_KD_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_istn"))
		((= "IS_ZUDm_gaz_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_istn"))
		((= "IS_ZUDm_cieplociag_siec" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_istn"))
		((= "IS_ZUDm_woda_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_istn"))
		((= "IS_ZUDm_drenaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_istn"))
		((= "IS_ZUDm_KS_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_istn"))
		((= "IS_ZUDm_KD_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_istn"))
		((= "IS_ZUDm_gaz_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_istn"))
		((= "IS_ZUDm_cieplociag_przylacze" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_istn"))
		((= "IS_ZUDm_woda_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_woda_istn"))
		((= "IS_ZUDm_drenaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_drenaz_istn"))
		((= "IS_ZUDm_KS_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KS_istn"))
		((= "IS_ZUDm_KD_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_KD_istn"))
		((= "IS_ZUDm_gaz_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_gaz_istn"))
		((= "IS_ZUDm_cieplociag_instalacja" (getvar "clayer")) (setvar "clayer" "IS_ZUDm_cieplociag_istn"))
		((and	(/= (getvar "clayer") "IS_ZUDm_woda_istn")
					(/= (getvar "clayer") "IS_ZUDm_KS_istn")
					(/= (getvar "clayer") "IS_ZUDm_KD_istn")
					(/= (getvar "clayer") "IS_ZUDm_drenaz_istn")
					(/= (getvar "clayer") "IS_ZUDm_gaz_istn")
					(/= (getvar "clayer") "IS_ZUDm_cieplociag_istn")
					(/= (getvar "clayer") "IS_ZUDm_trasa_niewykonana")
					(/= (getvar "clayer") "IS_ZUDm_trasa_do_likwidacji"))
			(setvar "clayer" "IS_ZUDm_KS_istn"))
);cond
);if



	(setq punktstart (getpoint "\nKliknij pocztek trasy istniejacej sieci."))
	(if (= (car *DCL_jednostki_PZT*) "PZTcm")
		(command "_pline" punktstart "_w" "7" "7")
		(command "_pline" punktstart "_w" "0.07" "0.07")
	)

;(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:PZTROS ( / p1 p2 PromROS p11 p12 p13 p14 kattextu opisrury)
(if (mh:qawa)
(progn

(mh:ustzap)

(setvar "DIMZIN" 0)
(setvar "OSNAPCOORD" 1)

(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
(mh:warstwa "IS_PZT_ROS" T)
(mh:warstwa "IS_opisy_PZT" nil)



	(setq	p1 (getpoint "\nKliknij pocztek rury osonowej: ")
			p2 (getpoint p1 "\nKliknij koniec rury osonowej: ")
			PromROS (if (= (car *DCL_jednostki_PZT*) "PZTm") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; PROMIEN RURY OSONOWEJ
							0.18
							18.0
					)
			p11 (polar p1 (+ (angle p1 p2) (/ pi 2)) PromROS)
			p12 (polar p1 (- (angle p1 p2) (/ pi 2)) PromROS)
			p13 (polar p2 (+ (angle p1 p2) (/ pi 2)) PromROS)
			p14 (polar p2 (- (angle p1 p2) (/ pi 2)) PromROS)
			kattextu (rtos (mh:CON_rad2deg (angle p1 p2) T) 2 2)
	)
	
;=============================================================	
	;korekta katu wstawianego opisu
	(if (and
			(> (mh:CON_rad2deg (angle p1 p2) T) 90)
			(<= (mh:CON_rad2deg (angle p1 p2) T) 270)
		)
		(setq  kattextu (rtos (+ (mh:CON_rad2deg (angle p1 p2) T) 180) 2 2))
	)
;=============================================================

	
	(mh:ENT_Make_LWPolyline "IS_PZT_ROS" nil (list p11 p13 p14 p12) 1)
	
	
;=============================================================
(setvar "CLAYER" "IS_opisy_PZT")

(if (= (car *DCL_jednostki_PZT*) "PZTm")
	(progn
		(setq opisrury (strcat "ROS, " (rtos (/ (distance p1 p2) 1) 2 1) "m"))
		(command "_.text" "_J" "_MC" p1 "0.9" kattextu opisrury)
	)
	(progn
		(setq opisrury (strcat "ROS, " (rtos (/ (distance p1 p2) 100) 2 1) "m"))
		(command "_.text" "_J" "_MC" p1 "90" kattextu opisrury)
	)
)

(if (not (= (getvar "PRODUCT") "AutoCAD LT")) ; autocad LT nie moe mie zaznaczonego opisu
	(mh:SYS_SetSelection (list (entlast)))
)

(mh:przesun p1 (list (entlast)))	
;=============================================================
	
	

(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:PZTROS:old ( / p1 p2 PromROS p11 p12 pe1 p13 p14 pe2 kattextu opisrury)
(if (mh:qawa)
(progn

(mh:ustzap)

(setvar "DIMZIN" 0)
(setvar "OSNAPCOORD" 1)

	;===========================================================================
	(if (tblsearch "Style" "IS_SIMPLEX")
	  (command "_textstyle" "IS_SIMPLEX")
	 (progn
		(command "_-style"
			"TEMP-STYLE" "simplex.shx" "" "0.7" "" "" "" "")
		(command "_rename" "_S" "TEMP-STYLE" "IS_SIMPLEX")
		(command "_textstyle" "IS_SIMPLEX")
	 );progn
	);if
	;===========================================================================

	;=============================================================
	(if (null (tblsearch "Layer" "IS_PZT_ROS"))
	 (progn
		(command "_-layer"
			"_N" "TEMP-LAYER"
			"_C" "11" "TEMP-LAYER"
			"_L" "Continuous" "TEMP-LAYER"
			"_LW" "0.18" "TEMP-LAYER" "")
		(command "_rename" "_LA" "TEMP-LAYER" "IS_PZT_ROS")
	 );progn
	);if
	;=============================================================
	(setvar "clayer" "IS_PZT_ROS")



	(setq	p1 (getpoint "\nKliknij pocztek rury osonowej: ")
			p2 (getpoint p1 "\nKliknij koniec rury osonowej: ")
			PromROS 18 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; PROMIEN RURY OSONOWEJ
			p11 (polar p1 (+ (angle p1 p2) (/ pi 2)) PromROS)
			p12 (polar p1 (- (angle p1 p2) (/ pi 2)) PromROS)
			pe1 (polar p1 (angle p1 p2) (/ PromROS 3))
			p13 (polar p2 (+ (angle p1 p2) (/ pi 2)) PromROS)
			p14 (polar p2 (- (angle p1 p2) (/ pi 2)) PromROS)
			pe2 (polar p2 (angle p1 p2) (/ PromROS 3))
			kattextu (rtos (mh:CON_rad2deg (angle p1 p2) T) 2 2)
	)
	
;=============================================================	
	;korekta katu wstawianego opisu
	(if (and
			(> (mh:CON_rad2deg (angle p1 p2) T) 90)
			(<= (mh:CON_rad2deg (angle p1 p2) T) 270)
		)
		(setq  kattextu (rtos (+ (mh:CON_rad2deg (angle p1 p2) T) 180) 2 2))
	)
;=============================================================

	

	(command "_line" p11 p13 "")
	(command "_line" p12 p14 "")
	(command "_ellipse" "_c" p1 p11 pe1)
	(command "_ellipse" "_c" p2 p13 pe2)
	
	

;=============================================================
				(setq opisrury (strcat "ROS, " (rtos (/ (distance p1 p2) 100) 2 1) "m"))
				(command "_.text" "_J" "_MC" p1 "90" kattextu opisrury)
				
				(if (not (= (getvar "PRODUCT") "AutoCAD LT")) ; autocad LT nie moe mie zaznaczonego opisu
					(mh:SYS_SetSelection (list (entlast)))
				)

				(if	(or	(= (getvar "PRODUCT") "AutoCAD")
						(= (getvar "PRODUCT") "AutoCAD LT")
					)
					(command "_move" "_l" "" p1 pause) ;autocad i autocad LT
					(command "_move" p1 pause) ;zwcad2012
				)
;=============================================================
	
	

(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:warzudprojsiec ( / ECHO_MEMBER)
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

(mh:stworzwarstwyzudu)


(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(mh:zmianawarstw
		'("IS_ZUD_woda_siec" "IS_ZUD_KS_siec" "IS_ZUD_KD_siec" "IS_ZUD_gaz_siec" "IS_ZUD_cieplociag_siec" "IS_ZUD_drenaz_siec" "IS_ZUD_trasa_niewykonana" "IS_ZUD_trasa_do_likwidacji")
	)
	(mh:zmianawarstw
		'("IS_ZUDm_woda_siec" "IS_ZUDm_KS_siec" "IS_ZUDm_KD_siec" "IS_ZUDm_gaz_siec" "IS_ZUDm_cieplociag_siec" "IS_ZUDm_drenaz_siec" "IS_ZUDm_trasa_niewykonana" "IS_ZUDm_trasa_do_likwidacji")
	)
);if

(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:warzudprojprzylacze ( / ECHO_MEMBER)
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

(mh:stworzwarstwyzudu)


(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(mh:zmianawarstw
		'("IS_ZUD_woda_przylacze" "IS_ZUD_KS_przylacze" "IS_ZUD_KD_przylacze" "IS_ZUD_gaz_przylacze" "IS_ZUD_cieplociag_przylacze" "IS_ZUD_drenaz_przylacze" "IS_ZUD_trasa_niewykonana" "IS_ZUD_trasa_do_likwidacji")
	)
	(mh:zmianawarstw
		'("IS_ZUDm_woda_przylacze" "IS_ZUDm_KS_przylacze" "IS_ZUDm_KD_przylacze" "IS_ZUDm_gaz_przylacze" "IS_ZUDm_cieplociag_przylacze" "IS_ZUDm_drenaz_przylacze" "IS_ZUDm_trasa_niewykonana" "IS_ZUDm_trasa_do_likwidacji")
	)
);if

(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:warzudprojinstalacja ( / ECHO_MEMBER)
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

(mh:stworzwarstwyzudu)


(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(mh:zmianawarstw
		'("IS_ZUD_woda_instalacja" "IS_ZUD_KS_instalacja" "IS_ZUD_KD_instalacja" "IS_ZUD_gaz_instalacja" "IS_ZUD_cieplociag_instalacja" "IS_ZUD_drenaz_instalacja" "IS_ZUD_trasa_niewykonana" "IS_ZUD_trasa_do_likwidacji")
	)
	(mh:zmianawarstw
		'("IS_ZUDm_woda_instalacja" "IS_ZUDm_KS_instalacja" "IS_ZUDm_KD_instalacja" "IS_ZUDm_gaz_instalacja" "IS_ZUDm_cieplociag_instalacja" "IS_ZUDm_drenaz_instalacja" "IS_ZUDm_trasa_niewykonana" "IS_ZUDm_trasa_do_likwidacji")
	)
);if

(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:warzudistn ( / ECHO_MEMBER)
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)


(mh:stworzwarstwyzudu)

(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "celtype" "BYLAYER")
(setvar "celweight" -1)

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(mh:zmianawarstw
		'("IS_ZUD_KS_istn" "IS_ZUD_KD_istn" "IS_ZUD_woda_istn" "IS_ZUD_gaz_istn" "IS_ZUD_cieplociag_istn" "IS_ZUD_drenaz_istn")
	)
	(mh:zmianawarstw
		'("IS_ZUDm_KS_istn" "IS_ZUDm_KD_istn" "IS_ZUDm_woda_istn" "IS_ZUDm_gaz_istn" "IS_ZUDm_cieplociag_istn" "IS_ZUDm_drenaz_istn")
	)
);if


(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun mh:stworzwarstwyzudu ()
(if (mh:qawa)
(progn

(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(progn	;progn dla jednostek "cm"
		(mh:warstwa "IS_ZUD_cieplociag_instalacja" nil)
		(mh:warstwa "IS_ZUD_cieplociag_istn" nil)
		(mh:warstwa "IS_ZUD_cieplociag_przylacze" nil)
		(mh:warstwa "IS_ZUD_cieplociag_siec" nil)
		(mh:warstwa "IS_ZUD_drenaz_instalacja" nil)
		(mh:warstwa "IS_ZUD_drenaz_istn" nil)
		(mh:warstwa "IS_ZUD_drenaz_przylacze" nil)
		(mh:warstwa "IS_ZUD_drenaz_siec" nil)
		(mh:warstwa "IS_ZUD_gaz_instalacja" nil)
		(mh:warstwa "IS_ZUD_gaz_istn" nil)
		(mh:warstwa "IS_ZUD_gaz_przylacze" nil)
		(mh:warstwa "IS_ZUD_gaz_siec" nil)
		(mh:warstwa "IS_ZUD_KD_instalacja" nil)
		(mh:warstwa "IS_ZUD_KD_istn" nil)
		(mh:warstwa "IS_ZUD_KD_przylacze" nil)
		(mh:warstwa "IS_ZUD_KD_siec" nil)
		(mh:warstwa "IS_ZUD_KS_instalacja" nil)
		(mh:warstwa "IS_ZUD_KS_istn" nil)
		(mh:warstwa "IS_ZUD_KS_przylacze" nil)
		(mh:warstwa "IS_ZUD_KS_siec" nil)
		(mh:warstwa "IS_ZUD_trasa_do_likwidacji" nil)
		(mh:warstwa "IS_ZUD_trasa_niewykonana" nil)
		(mh:warstwa "IS_ZUD_woda_instalacja" nil)
		(mh:warstwa "IS_ZUD_woda_istn" nil)
		(mh:warstwa "IS_ZUD_woda_przylacze" nil)
		(mh:warstwa "IS_ZUD_woda_siec" nil)
	);progn
	
	(progn	;progn dla jednostek "m"
		(mh:warstwa "IS_ZUDm_cieplociag_instalacja" nil)
		(mh:warstwa "IS_ZUDm_cieplociag_istn" nil)
		(mh:warstwa "IS_ZUDm_cieplociag_przylacze" nil)
		(mh:warstwa "IS_ZUDm_cieplociag_siec" nil)
		(mh:warstwa "IS_ZUDm_drenaz_instalacja" nil)
		(mh:warstwa "IS_ZUDm_drenaz_istn" nil)
		(mh:warstwa "IS_ZUDm_drenaz_przylacze" nil)
		(mh:warstwa "IS_ZUDm_drenaz_siec" nil)
		(mh:warstwa "IS_ZUDm_gaz_instalacja" nil)
		(mh:warstwa "IS_ZUDm_gaz_istn" nil)
		(mh:warstwa "IS_ZUDm_gaz_przylacze" nil)
		(mh:warstwa "IS_ZUDm_gaz_siec" nil)
		(mh:warstwa "IS_ZUDm_KD_instalacja" nil)
		(mh:warstwa "IS_ZUDm_KD_istn" nil)
		(mh:warstwa "IS_ZUDm_KD_przylacze" nil)
		(mh:warstwa "IS_ZUDm_KD_siec" nil)
		(mh:warstwa "IS_ZUDm_KS_instalacja" nil)
		(mh:warstwa "IS_ZUDm_KS_istn" nil)
		(mh:warstwa "IS_ZUDm_KS_przylacze" nil)
		(mh:warstwa "IS_ZUDm_KS_siec" nil)
		(mh:warstwa "IS_ZUDm_trasa_do_likwidacji" nil)
		(mh:warstwa "IS_ZUDm_trasa_niewykonana" nil)
		(mh:warstwa "IS_ZUDm_woda_instalacja" nil)
		(mh:warstwa "IS_ZUDm_woda_istn" nil)
		(mh:warstwa "IS_ZUDm_woda_przylacze" nil)
		(mh:warstwa "IS_ZUDm_woda_siec" nil)
	);progn
); if

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun cold:mh_xyz( / mh_CadObj mh_acd_doc mh_model_space mh_textstyles newtextstyle mh_LayerTable newlayer WSKAZ_PUNKT PrefixPunktu WSPOLRZEDNA_Y WSPOLRZEDNA_X LINIA Numer NazwaPlikuTxt ZnacznikPunktu WysZnacznika PlikTxt WysText)
(if (mh:qawa)
(progn

(mh:ustzap)

;=========================================================================
; PODFUNKCJE 
				(defun mh:PiszText ( / PunktTextu newtext )
					(setq	PunktTextu (polar WSKAZ_PUNKT (* pi 0.25) (* WysZnacznika 0.7)))
					(vla-AddText mh_model_space (strcat PrefixPunktu "-" (itoa Numer)) (vlax-3d-point PunktTextu) WysText)
					(entupd (entlast))	;odwieenie tekstu, eby by widoczny (to bd zwcada, w AC jest widoczny od razu)
				);defun
				
				(defun mh:RysujPunkt (/ p1 p2 p3 p4)
					(setq	p1	(polar WSKAZ_PUNKT (* pi 0.5) WysZnacznika)
							p2	(polar WSKAZ_PUNKT (* pi 1.5) WysZnacznika)
							p3	(polar WSKAZ_PUNKT 0.0 WysZnacznika)
							p4	(polar WSKAZ_PUNKT pi WysZnacznika)
					)
					(vla-AddLine mh_model_space (vlax-3d-point p1) (vlax-3d-point p2))
					(vla-AddLine mh_model_space (vlax-3d-point p3) (vlax-3d-point p4))
				);defun
;=========================================================================


;=============================================================
(vl-load-com)
(setq	mh_CadObj		(vlax-get-acad-object)
		mh_acd_doc		(vla-get-activedocument mh_CadObj)
		mh_model_space	(vla-get-ModelSpace mh_acd_doc)
)

;=============================================================
(setq mh_textstyles (vla-get-textstyles mh_acd_doc))
;=============================================================
(if (null (tblsearch "Style" "IS_SIMPLEX")) 
	(progn
		(setq newtextstyle (vla-add mh_textstyles "IS_SIMPLEX"))
		(vla-put-fontfile newtextstyle "simplex.shx")
		(vla-put-width newtextstyle 0.7)
	);progn
	(setq newtextstyle (vla-item mh_textstyles "IS_SIMPLEX"))
);if
(vla-put-activetextstyle mh_acd_doc newtextstyle)
;=============================================================

;=============================================================
(setq mh_LayerTable (vla-get-layers mh_acd_doc))
;=============================================================
(if (null (tblsearch "Layer" "IS_PZT_ZNACZNIKI_PUNKTOW_NA_ZUD"))
	(progn
		(setq newlayer (vla-add mh_LayerTable "IS_PZT_ZNACZNIKI_PUNKTOW_NA_ZUD"))
		(vla-put-Color newlayer 6)
		(vla-put-LineType newlayer "Continuous")
		(vla-put-LineWeight newlayer 18)
	)
	(setq newlayer (vla-item mh_LayerTable "IS_PZT_ZNACZNIKI_PUNKTOW_NA_ZUD"))
);if
(vla-put-activeLayer mh_acd_doc newlayer)
;=============================================================

		(setq Numer (mh:UiGetInt "\nPodaj numer pierwszego punktu: " 1))
		(setq	WysText			90.0																		;wysokosc tekstu =90
				PrefixPunktu	(mh:GetChoisText "\nPodaj prefix punktu?" '("S" "D" "SC" "G" "W") "S") 
				WysZnacznika	(* WysText 1.1)																; wielko krzya <znacznika>
				ZnacznikPunktu	(mh:GetChoisText "\nCzy wstawia znacznik punktu?" '("Tak" "Nie") "Tak")
		)
					(while	(not NazwaPlikuTxt)
							(setq NazwaPlikuTxt	(getfiled "Wpisz nazwe pliku z wsprzdnymi punktw" "" "txt" 1))
					)
		(setq	PlikTxt			(open NazwaPlikuTxt "W"))
				
		;(WRITE-line (strcat "Nr" ";" "X" ";" "Y" ) PlikTxt)
		(WRITE-line (strcat "Nr" "\t" "X" "\t" "Y" ) PlikTxt)
		(while	(setq	WSKAZ_PUNKT		(mh:GetPoint "\nWska punkt"))
				(setq	WSPOLRZEDNA_Y	(rtos (cadr WSKAZ_PUNKT) 2 2)
						WSPOLRZEDNA_X	(rtos (car WSKAZ_PUNKT) 2 2)
						;LINIA			(strcat PrefixPunktu "-" (itoa Numer) ";" WSPOLRZEDNA_X ";" WSPOLRZEDNA_Y )
						LINIA			(strcat PrefixPunktu "-" (itoa Numer) "\t" WSPOLRZEDNA_X "\t" WSPOLRZEDNA_Y )
				)
				(WRITE-line LINIA PlikTxt)
				(if (= ZnacznikPunktu "Tak")
					(progn
						(mh:RysujPunkt)
						(mh:PiszText)
					)
					(mh:PiszText)
				)
				(setq Numer (1+ Numer))
		);WHILE
		(close PlikTxt)
	
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:mh_xyz( / mh_model_space WSKAZ_PUNKT PrefixPunktu WSPOLRZEDNA_Y WSPOLRZEDNA_X LINIA Numer NazwaPlikuTxt ZnacznikPunktu WysZnacznika PlikTxt WysText)
(if (mh:qawa)
(progn

(mh:ustzap)

(setvar "DIMZIN" 0)
(setvar "OSNAPCOORD" 1)

;=========================================================================
; PODFUNKCJE 
			(defun mh:PiszText (WSKAZ_PUNKT / PunktTextu newtext )
				(setq	PunktTextu (polar WSKAZ_PUNKT (* pi 0.25) (* WysZnacznika 0.7)))
				(vla-AddText mh_model_space (strcat PrefixPunktu "-" (itoa Numer)) (vlax-3d-point PunktTextu) WysText)
				(entupd (entlast))	;odwieenie tekstu, eby by widoczny (to bd zwcada, w AC jest widoczny od razu)
			);defun
			
			(defun mh:RysujPunkt (WSKAZ_PUNKT / p1 p2 p3 p4)
				(setq	p1	(polar WSKAZ_PUNKT (* pi 0.5) WysZnacznika)
						p2	(polar WSKAZ_PUNKT (* pi 1.5) WysZnacznika)
						p3	(polar WSKAZ_PUNKT 0.0 WysZnacznika)
						p4	(polar WSKAZ_PUNKT pi WysZnacznika)
				)
				(vla-AddLine mh_model_space (vlax-3d-point p1) (vlax-3d-point p2))
				(vla-AddLine mh_model_space (vlax-3d-point p3) (vlax-3d-point p4))
			);defun
;=========================================================================


;=============================================================
(vl-load-com)
(setq	mh_model_space	(mh:ACX_ModelSpace)
)

;=============================================================
(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
(mh:ENT_Make_Layer "IS_PZT_ZNACZNIKI_PUNKTOW_NA_ZUD" 6 "CONTINUOUS" 18 1 0 T)
;=============================================================



		(setq Numer (mh:UiGetInt "\nPodaj numer pierwszego punktu: " 1))
		(setq	WysText			0.9																		;wysokosc tekstu =0.9
				PrefixPunktu	(mh:GetChoisText "\nPodaj prefix punktu?" '("S" "D" "SC" "G" "W") "S") 
				WysZnacznika	(* WysText 1.1)																; wielko krzya <znacznika>
				ZnacznikPunktu	(mh:GetChoisText "\nCzy wstawia znacznik punktu?" '("Tak" "Nie") "Tak")
		)
					(while	(not NazwaPlikuTxt)
							(setq NazwaPlikuTxt	(getfiled "Wpisz nazwe pliku z wsprzdnymi punktw" "" "txt" 1))
					)
		(setq	PlikTxt			(open NazwaPlikuTxt "W"))
				
		;(WRITE-line (strcat "Nr" ";" "Y" ";" "X" ) PlikTxt)
		(WRITE-line (strcat "Nr" "\t" "Y" "\t" "X" ) PlikTxt)
		(while	(setq	WSKAZ_PUNKT		(mh:GetPoint "\nWska punkt"))
				(setq	WSPOLRZEDNA_Y	(rtos (cadr WSKAZ_PUNKT) 2 3)
						WSPOLRZEDNA_X	(rtos (car WSKAZ_PUNKT) 2 3)
						;LINIA			(strcat PrefixPunktu "-" (itoa Numer) ";" WSPOLRZEDNA_X ";" WSPOLRZEDNA_Y )
						LINIA			(strcat PrefixPunktu "-" (itoa Numer) "\t" WSPOLRZEDNA_X "\t" WSPOLRZEDNA_Y )	;X i Y geodezyjne sa odwrotnoci tych z matematyki !!!
				)
				(WRITE-line LINIA PlikTxt)
				(if (= ZnacznikPunktu "Tak")
					(progn
						(mh:RysujPunkt (trans WSKAZ_PUNKT 1 0))
						(mh:PiszText (trans WSKAZ_PUNKT 1 0 ))
					)
					(mh:PiszText (trans WSKAZ_PUNKT 1 0 ))
				)
				(setq Numer (1+ Numer))
		);WHILE
		(close PlikTxt)
	
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:jednostkiPZT ( / dcl_id JEDNOSTKA % zamkniecie)
(if (mh:qawa)
(progn

(mh:ustzap)

   (setq dcl_id (load_dialog "profilek-pzt.dcl"))
	   (if (not (new_dialog "jednostkipzt" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-pzt.dcl")
			(exit)
			);progn
		);if
   
   
   
   ;==================przeanalizowac dokladnie
	(if (null *DCL_jednostki_PZT*)
        (setq *DCL_jednostki_PZT* (list "PZTcm"))
      )
      (setq JEDNOSTKA (car *DCL_jednostki_PZT*))
      (foreach % (list "JEDNOSTKA")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
	;================koniec  analizowania


	
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
(if (= zamkniecie 1)
	(progn
		(setq *DCL_jednostki_PZT* (list JEDNOSTKA))
		(if (= "PZTm" (car *DCL_jednostki_PZT*))
			(progn
				(setvar "INSUNITS" 6)
				(alert "Zmieniono jednostki rysunku na \"m\"")
			)
			(progn
				(setvar "INSUNITS" 5)
				(alert "Zmieniono jednostki rysunku na \"cm\"")
			)
		)
	);progn
);if
   

(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun metrix_gaz
;=========================================================================

;=========================================================================
(defun c:int01 ( / PUNKTC PUNKTCrz) ; interpolacja !!!!!!!!!!!!!!!!!!!skoczyc polecenie !!!!!!!!!!!!!!
(if (mh:qawa)
	(progn
		(mh:ustzap)
		
			(if	(null *PUNKTAint*)
				(setq *PUNKTAint* (list 0 0 0))
			)
			(setq *PUNKTAint* (mh:GetPointDef "\nKliknij pierwszy znany punkt z rzdn <lub Enter>: " *PUNKTAint*))
			
			(if	(null *PUNKTArzint*)
				(setq *PUNKTArzint* 100.00)
			)
			(setq *PUNKTArzint* (mh:UiGetReal "\nPodaj rzdn pierwszego punktu: " *PUNKTArzint*))
			
			(if	(null *PUNKTBint*)
				(setq *PUNKTBint* (list 0 0 0))
			)
			(setq *PUNKTBint* (mh:GetPointDef "\nKliknij drugi znany punkt z rzdn <lub Enter>: " *PUNKTBint*))
			
			(if	(null *PUNKTBrzint*)
				(setq *PUNKTBrzint* 100.00)
			)
			(setq *PUNKTBrzint* (mh:UiGetReal "\nPodaj rzdn drugiego punktu: " *PUNKTBrzint*))
			
			
			
			
			
			(setq PUNKTC (mh:GetPoint "\nKliknij trzeci punkt do wyznaczenia rzdnej: "))
		;	(if ((car PUNKTC) (car *PUNKTAint*))
		;		((car PUNKTC) (car *PUNKTBint*))
				(progn
					(setq PUNKTCrz (+ *PUNKTArzint* (* (/ (- *PUNKTBrzint* *PUNKTArzint*) (distance *PUNKTAint* *PUNKTBint*)) (distance *PUNKTAint* PUNKTC))))
					(princ (strcat "\nRzdna w tym punkcie wynosi: " (rtos PUNKTCrz 2 3)))
				)
		;		(princ "\nPunkt nie ley pomiedzy dwoma znanymi rzdnymi!")
		;	)
			
			
			
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

 